﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.1.4322.573
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace RastreamentoWebService
{
    using System;
    using System.Data;
    using System.Xml;
    using System.Runtime.Serialization;


    [Serializable()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Diagnostics.DebuggerStepThrough()]
    [System.ComponentModel.ToolboxItem(true)]
    public class CityGateDataSet : DataSet
    {

        private sgm_CityGateDataTable tablesgm_CityGate;

        public CityGateDataSet()
        {
            this.InitClass();
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }

        protected CityGateDataSet(SerializationInfo info, StreamingContext context)
        {
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((strSchema != null))
            {
                DataSet ds = new DataSet();
                ds.ReadXmlSchema(new XmlTextReader(new System.IO.StringReader(strSchema)));
                if ((ds.Tables["sgm_CityGate"] != null))
                {
                    this.Tables.Add(new sgm_CityGateDataTable(ds.Tables["sgm_CityGate"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else
            {
                this.InitClass();
            }
            this.GetSerializationData(info, context);
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }

        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public sgm_CityGateDataTable sgm_CityGate
        {
            get
            {
                return this.tablesgm_CityGate;
            }
        }

        public override DataSet Clone()
        {
            CityGateDataSet cln = ((CityGateDataSet)(base.Clone()));
            cln.InitVars();
            return cln;
        }

        protected override bool ShouldSerializeTables()
        {
            return false;
        }

        protected override bool ShouldSerializeRelations()
        {
            return false;
        }

        protected override void ReadXmlSerializable(XmlReader reader)
        {
            this.Reset();
            DataSet ds = new DataSet();
            ds.ReadXml(reader);
            if ((ds.Tables["sgm_CityGate"] != null))
            {
                this.Tables.Add(new sgm_CityGateDataTable(ds.Tables["sgm_CityGate"]));
            }
            this.DataSetName = ds.DataSetName;
            this.Prefix = ds.Prefix;
            this.Namespace = ds.Namespace;
            this.Locale = ds.Locale;
            this.CaseSensitive = ds.CaseSensitive;
            this.EnforceConstraints = ds.EnforceConstraints;
            this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
            this.InitVars();
        }

        protected override System.Xml.Schema.XmlSchema GetSchemaSerializable()
        {
            System.IO.MemoryStream stream = new System.IO.MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return System.Xml.Schema.XmlSchema.Read(new XmlTextReader(stream), null);
        }

        internal void InitVars()
        {
            this.tablesgm_CityGate = ((sgm_CityGateDataTable)(this.Tables["sgm_CityGate"]));
            if ((this.tablesgm_CityGate != null))
            {
                this.tablesgm_CityGate.InitVars();
            }
        }

        private void InitClass()
        {
            this.DataSetName = "CityGateDataSet";
            this.Prefix = "";
            this.Namespace = "http://tempuri.org/CityGateDataSet.xsd";
            this.Locale = new System.Globalization.CultureInfo("en-US");
            this.CaseSensitive = false;
            this.EnforceConstraints = true;
            this.tablesgm_CityGate = new sgm_CityGateDataTable();
            this.Tables.Add(this.tablesgm_CityGate);
        }

        private bool ShouldSerializesgm_CityGate()
        {
            return false;
        }

        private void SchemaChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e)
        {
            if ((e.Action == System.ComponentModel.CollectionChangeAction.Remove))
            {
                this.InitVars();
            }
        }

        public delegate void sgm_CityGateRowChangeEventHandler(object sender, sgm_CityGateRowChangeEvent e);

        [System.Diagnostics.DebuggerStepThrough()]
        public class sgm_CityGateDataTable : DataTable, System.Collections.IEnumerable
        {

            private DataColumn columnId_CityGate;

            private DataColumn columnNome_CityGate;

            private DataColumn columnId_Regiao;

            private DataColumn columnPCS_Base;

            internal sgm_CityGateDataTable() :
                    base("sgm_CityGate")
            {
                this.InitClass();
            }

            internal sgm_CityGateDataTable(DataTable table) :
                    base(table.TableName)
            {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive))
                {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString()))
                {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace))
                {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }

            [System.ComponentModel.Browsable(false)]
            public int Count
            {
                get
                {
                    return this.Rows.Count;
                }
            }

            internal DataColumn Id_CityGateColumn
            {
                get
                {
                    return this.columnId_CityGate;
                }
            }

            internal DataColumn Nome_CityGateColumn
            {
                get
                {
                    return this.columnNome_CityGate;
                }
            }

            internal DataColumn Id_RegiaoColumn
            {
                get
                {
                    return this.columnId_Regiao;
                }
            }

            internal DataColumn PCS_BaseColumn
            {
                get
                {
                    return this.columnPCS_Base;
                }
            }

            public sgm_CityGateRow this[int index]
            {
                get
                {
                    return ((sgm_CityGateRow)(this.Rows[index]));
                }
            }

            public event sgm_CityGateRowChangeEventHandler sgm_CityGateRowChanged;

            public event sgm_CityGateRowChangeEventHandler sgm_CityGateRowChanging;

            public event sgm_CityGateRowChangeEventHandler sgm_CityGateRowDeleted;

            public event sgm_CityGateRowChangeEventHandler sgm_CityGateRowDeleting;

            public void Addsgm_CityGateRow(sgm_CityGateRow row)
            {
                this.Rows.Add(row);
            }

            public sgm_CityGateRow Addsgm_CityGateRow(string Nome_CityGate, int Id_Regiao, System.Decimal PCS_Base)
            {
                sgm_CityGateRow rowsgm_CityGateRow = ((sgm_CityGateRow)(this.NewRow()));
                rowsgm_CityGateRow.ItemArray = new object[] {
                        null,
                        Nome_CityGate,
                        Id_Regiao,
                        PCS_Base};
                this.Rows.Add(rowsgm_CityGateRow);
                return rowsgm_CityGateRow;
            }

            public sgm_CityGateRow FindById_CityGate(int Id_CityGate)
            {
                return ((sgm_CityGateRow)(this.Rows.Find(new object[] {
                            Id_CityGate})));
            }

            public System.Collections.IEnumerator GetEnumerator()
            {
                return this.Rows.GetEnumerator();
            }

            public override DataTable Clone()
            {
                sgm_CityGateDataTable cln = ((sgm_CityGateDataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }

            protected override DataTable CreateInstance()
            {
                return new sgm_CityGateDataTable();
            }

            internal void InitVars()
            {
                this.columnId_CityGate = this.Columns["Id_CityGate"];
                this.columnNome_CityGate = this.Columns["Nome_CityGate"];
                this.columnId_Regiao = this.Columns["Id_Regiao"];
                this.columnPCS_Base = this.Columns["PCS_Base"];
            }

            private void InitClass()
            {
                this.columnId_CityGate = new DataColumn("Id_CityGate", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnId_CityGate);
                this.columnNome_CityGate = new DataColumn("Nome_CityGate", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnNome_CityGate);
                this.columnId_Regiao = new DataColumn("Id_Regiao", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnId_Regiao);
                this.columnPCS_Base = new DataColumn("PCS_Base", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnPCS_Base);
                this.Constraints.Add(new UniqueConstraint("CityGateDataSetKey1", new DataColumn[] {
                                this.columnId_CityGate}, true));
                this.columnId_CityGate.AutoIncrement = true;
                this.columnId_CityGate.AllowDBNull = false;
                this.columnId_CityGate.ReadOnly = true;
                this.columnId_CityGate.Unique = true;
                this.columnNome_CityGate.AllowDBNull = false;
                this.columnId_Regiao.AllowDBNull = false;
                this.columnPCS_Base.AllowDBNull = false;
            }

            public sgm_CityGateRow Newsgm_CityGateRow()
            {
                return ((sgm_CityGateRow)(this.NewRow()));
            }

            protected override DataRow NewRowFromBuilder(DataRowBuilder builder)
            {
                return new sgm_CityGateRow(builder);
            }

            protected override System.Type GetRowType()
            {
                return typeof(sgm_CityGateRow);
            }

            protected override void OnRowChanged(DataRowChangeEventArgs e)
            {
                base.OnRowChanged(e);
                if ((this.sgm_CityGateRowChanged != null))
                {
                    this.sgm_CityGateRowChanged(this, new sgm_CityGateRowChangeEvent(((sgm_CityGateRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowChanging(DataRowChangeEventArgs e)
            {
                base.OnRowChanging(e);
                if ((this.sgm_CityGateRowChanging != null))
                {
                    this.sgm_CityGateRowChanging(this, new sgm_CityGateRowChangeEvent(((sgm_CityGateRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowDeleted(DataRowChangeEventArgs e)
            {
                base.OnRowDeleted(e);
                if ((this.sgm_CityGateRowDeleted != null))
                {
                    this.sgm_CityGateRowDeleted(this, new sgm_CityGateRowChangeEvent(((sgm_CityGateRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowDeleting(DataRowChangeEventArgs e)
            {
                base.OnRowDeleting(e);
                if ((this.sgm_CityGateRowDeleting != null))
                {
                    this.sgm_CityGateRowDeleting(this, new sgm_CityGateRowChangeEvent(((sgm_CityGateRow)(e.Row)), e.Action));
                }
            }

            public void Removesgm_CityGateRow(sgm_CityGateRow row)
            {
                this.Rows.Remove(row);
            }
        }

        [System.Diagnostics.DebuggerStepThrough()]
        public class sgm_CityGateRow : DataRow
        {

            private sgm_CityGateDataTable tablesgm_CityGate;

            internal sgm_CityGateRow(DataRowBuilder rb) :
                    base(rb)
            {
                this.tablesgm_CityGate = ((sgm_CityGateDataTable)(this.Table));
            }

            public int Id_CityGate
            {
                get
                {
                    return ((int)(this[this.tablesgm_CityGate.Id_CityGateColumn]));
                }
                set
                {
                    this[this.tablesgm_CityGate.Id_CityGateColumn] = value;
                }
            }

            public string Nome_CityGate
            {
                get
                {
                    return ((string)(this[this.tablesgm_CityGate.Nome_CityGateColumn]));
                }
                set
                {
                    this[this.tablesgm_CityGate.Nome_CityGateColumn] = value;
                }
            }

            public int Id_Regiao
            {
                get
                {
                    return ((int)(this[this.tablesgm_CityGate.Id_RegiaoColumn]));
                }
                set
                {
                    this[this.tablesgm_CityGate.Id_RegiaoColumn] = value;
                }
            }

            public System.Decimal PCS_Base
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_CityGate.PCS_BaseColumn]));
                }
                set
                {
                    this[this.tablesgm_CityGate.PCS_BaseColumn] = value;
                }
            }
        }

        [System.Diagnostics.DebuggerStepThrough()]
        public class sgm_CityGateRowChangeEvent : EventArgs
        {

            private sgm_CityGateRow eventRow;

            private DataRowAction eventAction;

            public sgm_CityGateRowChangeEvent(sgm_CityGateRow row, DataRowAction action)
            {
                this.eventRow = row;
                this.eventAction = action;
            }

            public sgm_CityGateRow Row
            {
                get
                {
                    return this.eventRow;
                }
            }

            public DataRowAction Action
            {
                get
                {
                    return this.eventAction;
                }
            }
        }
    }
}
